%define name karchiver
%define version 3.0.10
%define release 2mdk

%define major 2
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary:	A KDE archive management
Name:		%name
Version:	%version
Release: 	%release
License:	GPL
Group: 		Archiving/Compression

Source:		%{name}-%{version}.tar.bz2
Source1:	karchiver-karchiverservicemenu.desktop

Patch1:		karchiver-3.1-fix-compile-gcc-3.4.patch.bz2

URL:		http://perso.wanadoo.fr/coquelle/karchiver/
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  readline-devel pam-devel popt-devel libtermcap-devel
BuildRequires:  zlib1-devel XFree86-devel Mesa-common-devel
BuildRequires:  XFree86-static-libs libqt-devel gettext libfam-devel
BuildRequires:  kdelibs-devel libbzip2-devel kdelibs-devel kdebase-devel
BuildRequires:  libjpeg-devel libmng-devel libpng-devel 

%description
This KDE application allows you reading, extracting, converting and modifying
.tar, .bz2, .gz, .zip... archives, just with a mouse!

Now uses wizards to compile and install softwares...

It can also split them to fit in floppies

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library requires by Karchiver

%description -n %{libname}
This package contains the shared library part of the KDE archiving program
karchiver.

%package -n %{libnamedev}
Group:          Development/Other
Summary:        Shared library requires by Karchiver
Requires:	%libname = %version
Provides:	libkarchiver-devel

%description -n %{libnamedev}
This package contains the shared library part of the KDE archiving program
karchiver.


%prep

%setup -q
%patch1 -p1 -b .fix_compile_gcc_3.4

%build
rm -rf autom4te.cache/
make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT \
  	          --disable-rpath \
	          --disable-debug --libdir=%_libdir
%make KDEDIR=$KDEDIR

%install
rm -rf %buildroot

%makeinstall

%find_lang %name

# David - 2.0.5-3mdk - Use a non broken .desktop
install -m 0644 %SOURCE1 %buildroot/%_datadir/apps/konqueror/servicemenus/karchiverservicemenu.desktop

install -d -m 0755 %buildroot/%_menudir/
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}): \
command="/usr/bin/karchiver" \
title="Karchiver" \
icon="%{name}.png" \
longtitle="Managing archive files" \
needs="x11" \
section="Applications/Archiving/Compression"
EOF

# Icons
cd %buildroot
mkdir -p ./%{_liconsdir} ./%{_iconsdir} ./%{_miconsdir}
ln ./%{_datadir}/icons/hicolor/48x48/apps/karchiver.png ./%{_liconsdir}
ln ./%{_datadir}/icons/hicolor/32x32/apps/karchiver.png ./%{_iconsdir}
ln ./%{_datadir}/icons/locolor/16x16/apps/karchiver.png ./%{_miconsdir}

rm  %{buildroot}/%{_datadir}/applnk-mdk/Applications/Archiving/Compression/karchiver.desktop

%post 
%{update_menus}
 
%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%_bindir/*
#
#%_datadir/icons/hicolor/22x22/actions/*.png
#%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
#
%_datadir/icons/hicolor/48x48/apps/*.png
#
#%_datadir/icons/locolor/16x16/actions/*.png
%_datadir/icons/locolor/16x16/apps/*.png 
%_datadir/icons/locolor/16x16/mimetypes/*.png    
#
%_datadir/icons/locolor/22x22/mimetypes/*.png
#
%_datadir/icons/locolor/32x32/apps/*.png
#
%_datadir/applnk/Utilities/karchiver.desktop
#
%dir %_datadir/apps/karchiver/
%dir %_datadir/apps/karchiver/pics
%_datadir/apps/karchiver/tip.database
%_datadir/apps/karchiver/*.rc
%_datadir/apps/karchiver/pics/*.png
#
%dir %_datadir/apps/karchiver/icons
%dir %_datadir/apps/karchiver/icons/hicolor/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/actions/
%_datadir/apps/karchiver/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/actions/
%_datadir/apps/karchiver/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/actions/
%_datadir/apps/karchiver/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/actions/
%_datadir/apps/karchiver/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/22x22/
%dir %_datadir/apps/karchiver/icons/locolor/22x22/actions/
%_datadir/apps/karchiver/icons/locolor/22x22/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/32x32/
%dir %_datadir/apps/karchiver/icons/locolor/32x32/actions/
%_datadir/apps/karchiver/icons/locolor/32x32/actions/*.png
#
%doc %_datadir/doc/HTML/en/karchiver
#
#
%_menudir/*
#
#
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
%_liconsdir/karchiver.png
%_iconsdir/karchiver.png
%_miconsdir/karchiver.png

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING README
%_libdir/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc COPYING README
%_libdir/*.so
%_libdir/*.la



%changelog
* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.10-2mdk
- Rebuils 

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.10-1mdk
- 3.0.10

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.0.8-1mdk
- 3.0.8
- use find lang macro

* Sun Jul 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 3.0.3-1mdk
- 3.0.3
- buildrequire

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 3.0.1-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild against gcc-3.2

* Wed Jul 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Thu Jun 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- port to kde3.0

* Tue Mar 12 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.5-3mdk
- Don't provide a totally broken karchiverservicemenu.desktop

* Sun Dec  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-2mdk
- spec file fixes
- clean up buildrequires
- install icons in the right place
- add URL
- removed all translation files but italian (they are in kde-i18n-*)

* Thu Oct 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.5-1mdk
- Update code (2.0.5)

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-6mdk
- Rebuild against libpng3

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-5mdk
- fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- added missing tip database file
	- fixed some rpmlint errors
	- removed translation files, now in kde-i18n-<language>

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-4mdk
- Rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.3-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-2mdk
- Add build requires

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-1mdk
- Update code

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-5mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-4mdk
- Rebuild against Qt 2.3.0

* Mon Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-3mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- added missing files
	- uses %%find_lang macro
	- fixed menu entry
	- split out libkarchiveur2 package

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-2mdk
- Fix build on PPC

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- updated to 2.0.2

* Tue Oct 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.87-1mdk
- updated to 0.87
- build with kde1compat

* Wed May 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.86-1mdk
- v0.86

* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.85-1mdk
- first spec
